vnfd-catalog:
    vnfd:
    -   connection-point:
        -   name: eth0
            type: VPORT
        description: Simple VNF example with a cirros and a VNF alarm
        id: cirros_alarm-vnf
        mgmt-interface:
            cp: eth0
        monitoring-param:
        -   aggregation-type: AVERAGE
            id: cirros_vnf_cpu_util
            name: cirros_vnf_cpu_util
            vdu-monitoring-param:
                vdu-monitoring-param-ref: cirros_vnfd-VM_cpu_util
                vdu-ref: cirros_vnfd-VM
        -   aggregation-type: AVERAGE
            id: cirros_vnf_average_memory_utilization
            name: cirros_vnf_average_memory_utilization
            vdu-monitoring-param:
                vdu-monitoring-param-ref: cirros_vnfd-VM_average_memory_utilization
                vdu-ref: cirros_vnfd-VM
        name: cirros_alarm-vnf
        short-name: cirros_alarm-vnf
        vdu:
        -   alarm:
            -   alarm-id: alarm-1
                operation: LT
                value: 20
                actions:
                  alarm:
                    - url: https://webhook.site/e65ad8a0-53b5-4d7f-bd50-c1a50b260871 
                  ok:
                    - url: https://webhook.site/e65ad8a0-53b5-4d7f-bd50-c1a50b260871
                  insufficient-data:
                    - url: https://webhook.site/e65ad8a0-53b5-4d7f-bd50-c1a50b260871
                vnf-monitoring-param-ref: cirros_vnf_cpu_util
            count: 1
            description: cirros_vnfd-VM
            id: cirros_vnfd-VM
            image: cirros
            interface:
            -   external-connection-point-ref: eth0
                name: eth0
                type: EXTERNAL
                virtual-interface:
                    bandwidth: 0
                    type: VIRTIO
                    vpci: 0000:00:0a.0
            monitoring-param:
            -   id: cirros_vnfd-VM_cpu_util
                nfvi-metric: cpu_utilization
            -   id: cirros_vnfd-VM_average_memory_utilization
                nfvi-metric: average_memory_utilization
            name: cirros_vnfd-VM
            vm-flavor:
                memory-mb: 256
                storage-gb: 2
                vcpu-count: 1
        vendor: OSM
        version: '1.0'

